package com.ningdatech.pmapi.expert.service;

import com.ningdatech.pmapi.expert.model.cmd.ExpertFullInfoSaveCmd;
import com.ningdatech.pmapi.expert.model.cmd.ExpertRecommendProofSaveCmd;
import com.ningdatech.pmapi.expert.model.cmd.ExpertStorageDealCmd;
import com.ningdatech.pmapi.expert.model.dto.ExpertFullInfoAllDTO;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/22 下午4:39
 */

public interface ExpertInfoService {

    void saveExpertInfo(ExpertFullInfoSaveCmd cmd);

    /**
     * 专家报名提交 推荐证明材料
     *
     * @param expertRecommendProofSaveCmd
     */
    void expertRecommendProofSave(ExpertRecommendProofSaveCmd expertRecommendProofSaveCmd);

    /**
     * 根据user_id 获取用户全量信息
     *
     * @param userId
     * @return
     */
    ExpertFullInfoAllDTO getExpertUserFullInfoAll(Long userId);


    void expertStorageDeal(ExpertStorageDealCmd cmd);


    /**
     * 批量获取用户全量信息
     **/
    List<ExpertFullInfoAllDTO> listExpertUserFullInfoAll(List<Long> userIds);
}

